Skip to main content
GET
Read Collection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Path Parameters

collection_id
string
required

Response

Successful Response

Schema for reading collection data.

id
string
required

Collection ID

name
string
required

Collection name

Required string length: 1 - 100
workspace_id
string
required

Reference to workspace

created_at
string | null
updated_at
string | null
description
string | null

Collection description

Maximum string length: 255
store_type

Storage type for the collection

visibility
string
default:private

Collection visibility (private/public)

status
string
default:active

Collection status

tags
string[] | null

Collection tags for organization

parent_id
string | null

Reference to parent collection

stats
Stats · object

Collection statistics

meta_data
Meta Data · object

Collection metadata

settings
Settings · object

Collection configuration settings

embedding
EmbeddingModelSettings · object | null

Embedding configuration

source_type
string | null
default:document

Collection source type

source_id
string | null

Collection source ID

created_by
string | null

User who created the collection